<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <artifactId>amos-boot-biz-common</artifactId>
  <packaging>jar</packaging>
  
  <parent>
    <artifactId>amos-biz-boot</artifactId>
    <groupId>com.amosframework.boot</groupId>
    <version>1.0.0</version>
  </parent>

  <dependencies>
		<dependency>
			<groupId>com.yeejoin</groupId>
			<artifactId>amos-feign-systemctl</artifactId>
			<version>${amos.version}</version>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-rdbms</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
				<exclusion>
					<groupId>com.baomidou</groupId>
					<artifactId>mybatis-plus-boot-starter</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>mysql-connector-java</artifactId>
					<groupId>mysql</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<artifactId>mysql-connector-java</artifactId>
			<groupId>mysql</groupId>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-restful</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
				<exclusion>
					<groupId>io.springfox</groupId>
					<artifactId>springfox-swagger-ui</artifactId>
				</exclusion>
				<exclusion>
					<groupId>io.springfox</groupId>
					<artifactId>springfox-swagger2</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-starter-undertow</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-auth</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
        <dependency>
          <groupId>com.amosframework.boot</groupId>
          <artifactId>amos-boot-core</artifactId>
          <version>1.0.0</version>
        </dependency>
	  	<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-generator</artifactId>
		</dependency>
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-starter</artifactId>
		</dependency>
  		
		<dependency>
			<groupId>org.javassist</groupId>
			<artifactId>javassist</artifactId>
			<version>3.21.0-GA</version>
		</dependency>
      <dependency>
          <groupId>cn.afterturn</groupId>
          <artifactId>easypoi-base</artifactId>
          <version>3.0.3</version>
      </dependency>
      <dependency>
          <groupId>cn.afterturn</groupId>
          <artifactId>easypoi-web</artifactId>
          <version>3.0.3</version>
      </dependency>
      <dependency>
          <groupId>cn.afterturn</groupId>
          <artifactId>easypoi-annotation</artifactId>
          <version>3.0.3</version>
      </dependency>
      <!-- itext pdf相关 -->
      <dependency>
          <groupId>com.itextpdf</groupId>
          <artifactId>itextpdf</artifactId>
          <version>5.5.13</version>
      </dependency>
      <!-- itext asian 字体相关 -->
      <dependency>
          <groupId>com.itextpdf</groupId>
          <artifactId>itext-asian</artifactId>
          <version>5.2.0</version>
      </dependency>
      <dependency>
          <groupId>com.google.zxing</groupId>
          <artifactId>core</artifactId>
          <version>3.3.0</version>
          <scope>compile</scope>
      </dependency>
  </dependencies>

</project>
